/* global angular */
angular.module('starter.services').factory('Globals', [function () {

        var companyData = [];

        return {
            IS_DEMO_APP: true,
            UUID_DEMO_ACCOUNT: "A7AE2EB7-1F00-4168-B99B-A749BAC1CA64",
            API_KEY_DEMO_ACCOUNT: "Mb7I-cH0h-RrEU-Yl3m",

            PLATFORM : "",

            // API REST CALLS
            URL_CREATE_UPDATE_USER: "https://dev.easycontext.com/api/user?key=<api_key>&appid=<user_appid>&birth_date=<birth_date>&gender=<gender>&feature1=<feature1>&feature2=<feature2>&feature3=<feature3>",
            URL_GET_USER_DATA: "https://dev.easycontext.com/api/obtainUser?key=<api_key>&appid=<user_appid>",
            URL_GET_CONTENTS_IBEACON: "https://dev.easycontext.com/api/list/ibeacon?key=<api_key>&appid=<appid>&uuid=<uuid>&major=<major>&minor=<minor>&action=<action>",
            URL_GET_CONTENTS_EDDYSTONE: "https://dev.easycontext.com/api/list/eddystone?key=<api_key>&appid=<appid>&namespace=<namespace>&instance=<instance>&action=<action>",
            URL_GET_CONTENTS_LOCATION: "https://dev.easycontext.com/api/list/location?key=<api_key>&appid=<appid>&latitude=<latitude>&longitude=<longitude>&action=<action>",
            URL_GET_CONTENTS_IBEACON_LOCATION: "https://dev.easycontext.com/api/list/ibeaconlocation?key=<api_key>&appid=<appid>&uuid=<uuid>&major=<major>&minor=<minor>&latitude=<latitude>&longitude=<longitude>&action=<action>",
            URL_LOG_USER_INTERACTION: "https://dev.easycontext.com/api/log/<type>?key=<api_key>&appid=<appid>&param1=<id_content>&param2=<social>",
            URL_PUSH_REGISTER: "https://dev.easycontext.com/api/pushregister?api_key=<api_key>&appid=<user_appid>&platform=<platform>&token=<token>",
            URL_SHARE_CONTENT: "https://dev.easycontext.com/index.php/site/content?contentid=<id_content>&mkey=<token>",
            URL_PUSH_REGISTER_ACTION: "https://dev.easycontext.com/api/pushcontrol?key=<api_key>&notification_id=<notif_id>&action=open",

            // Function to get company data
            INFO: function () {
                if (companyData.length === 0) {
                    companyData = angular.fromJson(window.localStorage.getItem("COMPANY_INFO"));
                }
                return companyData;
            },

            // To start searching automatically when the get push received
            START_SEARCHING_CONTENTS: false,

            // Duration of searching beacons in background in seconds
            BACKGROUND_BEACON_SEARCH_DURATION: 5,

            // Duration of resuming the process of searching beacons in seconds
            BACKGROUND_BEACON_SEARCH_WAIT_DEFAULT: 5,
            BACKGROUND_BEACON_SEARCH_WAIT_BATTERY_SAVER: 30,

            START_TIMESTAMP: 0,

            // Content View Opened from
            CONTENTVIEW_OPENED_FROM: 'search',

            // Contents searching duration (seconds)
            DISCOVER_AROUND_TIMEOUT: 15,

            // Number of times that user not find contents to hide in the autodiscovering mode
            NO_CONTENTS_DISCOVERED_TIMES: 3,

            // Last discovered contents
            LAST_DISCOVERED_CONTENTS: "",

            // Selected content
            SELECTED_CONTENT: {},

            // SOLO APP DE DEMO (BORRADO OBLIGATORIO)
            URL_CHECK_API_KEY: "https://cloud.easycontext.com/api/checkclientkey",
            URL_REGISTER_CLIENT: "https://cloud.easycontext.com/api/newclient",
            UNIQUE_KEY_PLATFORM: "bXVe4J_A4F@Vc-YdSZ8¿0EqB.Ku7MYFRL,chy.IvWOyPS@hYpco_xB2?2RH8y-ECADcip"
        };
    }]);