/* global angular */
angular.module('starter.services').factory('Utils', [
    function() {
	
    return {
        
        // Funcion para convertir la primera letra en mayusculas
        capitalizeFirstLetter: function(text) {
            return text.charAt(0).toUpperCase() + text.slice(1);
        },

        // Funcion para dar formato a una fecha dd/MM/YYYY
        formatDate: function(date) {
            function pad(s) { return (s < 10) ? '0' + s : s; }
            return [date.getFullYear(), pad(date.getMonth() + 1), pad(date.getDate())].join('/');
        },

        // Funcion para obtener un numero aleatorio entre el máximo y mínimo
        randomIntFromInterval: function(min, max) {
            return Math.floor(Math.random()*(max-min+1)+min);
        }        
	};
}]);